Skip to content

Update fulfillment orders status

POST
/merchants/{merchantCode}/fulfillmentOrders/status
curl --request POST \
--url https://order.shopgate.io/v1/merchants/example/fulfillmentOrders/status \
--header 'Content-Type: application/json' \
--data '[ { "orderNumber": "1293747-0001", "status": "new" } ]'

Updates multiple fulfillment order statuses

merchantCode
required
string

Unique merchant code which represents the unique “merchant account”.

Media typeapplication/json
Array<object>
>= 1 characters
object
orderNumber
required

Unique fulfillment order number

string
<= 50 characters
Example
1293747-0001
status
required
string
default: new
Allowed values: new requested accepted inProgress picked packed ready hold checkedIn canceled rejected fulfilled
Media typeapplication/json
object
errors
Array<object>
object
entityIndex
number
entity
string
entityId
string
code
number
message
string
subentityPath
Array<string | null | number>
Examplegenerated
{
"errors": [
{
"entityIndex": 1,
"entity": "example",
"entityId": "example",
"code": 1,
"message": "example",
"subentityPath": [
"example"
]
}
]
}

Merchant not found

Media typeapplication/json